<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myBetLabel" jhiTranslate="typerApp.bet.home.createOrEditLabel">Create or edit a
            Bet</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;
        </button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="typerApp.bet.type" for="field_type">Type</label>
             <div [hidden]="!(editForm.controls.type?.dirty && editForm.controls.type?.invalid)">
                <small class="form-text text-danger"
                       [hidden]="!editForm.controls.type?.errors?.required"
                       jhiTranslate="entity.validation.required">
                    This field is required.
                </small>
            </div>
            <select  id="field_type" class="form-control" name="type" [(ngModel)]="bet.type" required min="0">
                <option *ngFor="let t of types" [value]="t.id">{{t.name}}</option>
            </select>
        </div>
        <div id="form-goals" *ngIf="bet.type == 1 || bet.type == 3">
            <div class="form-group">
                <label class="form-control-label" for="field_hostResult">{{bet.game.host.name}}</label>
                <input type="number" class="form-control" name="hostResult" id="field_hostResult"
                       [(ngModel)]="bet.hostResult" required min="0" max="20"/>
                <div [hidden]="!(editForm.controls.hostResult?.dirty && editForm.controls.hostResult?.invalid)">
                    <small class="form-text text-danger"
                           [hidden]="!editForm.controls.hostResult?.errors?.required"
                           jhiTranslate="entity.validation.required">
                        This field is required.
                    </small>
                    <small class="form-text text-danger"
                           [hidden]="!editForm.controls.hostResult?.errors?.min" jhiTranslate="entity.validation.min"
                           translateValues="{ min: 0 }">
                        This field should be at least 0.
                    </small>
                    <small class="form-text text-danger"
                           [hidden]="!editForm.controls.hostResult?.errors?.max" jhiTranslate="entity.validation.max"
                           translateValues="{ max: 20 }">
                        This field cannot be more than 20.
                    </small>
                    <small class="form-text text-danger"
                           [hidden]="!editForm.controls.hostResult?.errors?.number"
                           jhiTranslate="entity.validation.number">
                        This field should be a number.
                    </small>
                </div>
            </div>
            <div class="form-group">
                <label class="form-control-label" for="field_guestResult">{{bet.game.guest.name}}</label>
                <input type="number" class="form-control" name="guestResult" id="field_guestResult"
                       [(ngModel)]="bet.guestResult" required min="0" max="20"/>
                <div [hidden]="!(editForm.controls.guestResult?.dirty && editForm.controls.guestResult?.invalid)">
                    <small class="form-text text-danger"
                           [hidden]="!editForm.controls.guestResult?.errors?.required"
                           jhiTranslate="entity.validation.required">
                        This field is required.
                    </small>
                    <small class="form-text text-danger"
                           [hidden]="!editForm.controls.guestResult?.errors?.min" jhiTranslate="entity.validation.min"
                           translateValues="{ min: 0 }">
                        This field should be at least 0.
                    </small>
                    <small class="form-text text-danger"
                           [hidden]="!editForm.controls.guestResult?.errors?.max" jhiTranslate="entity.validation.max"
                           translateValues="{ max: 20 }">
                        This field cannot be more than 20.
                    </small>
                    <small class="form-text text-danger"
                           [hidden]="!editForm.controls.guestResult?.errors?.number"
                           jhiTranslate="entity.validation.number">
                        This field should be a number.
                    </small>
                </div>
            </div>
        </div>
        <div id="form-end-result" *ngIf="bet?.type == 2 || bet.type == 3">
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="typerApp.bet.winner">Winner</label>
                <div [hidden]="!(editForm.controls.winner?.dirty && editForm.controls.winner?.invalid)">
                    <small class="form-text text-danger"
                           [hidden]="!editForm.controls.winner?.errors?.required"
                           jhiTranslate="entity.validation.required">
                        This field is required.
                    </small>
                </div>
                <tr *ngFor="let result of results">
                            <td>{{ result.res }}</td>
                            <td>
                                <input type="radio" name="radiogroup"
                                       [value]="result.id"
                                       (change)="changeItemResult(result.id)"
                                       [(ngModel)]="bet.winner"
                                        required>
                            </td>
                </tr>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
